Subject: solved: password incorrect/w shadow pass

From: David Haas <[email-masked]>
Date: Mon, 6 Aug 2001 14:13:18 -0500

Hi.

Nobody ever responded to my message :( , but I managed to get the
problem solved & I thought I'd post the results here.

My problem I couldn't get any uams which used pam to load - they
kept getting mod_symbol errors.  As a result, I couldn't get any mac
clients to log on.

When I checked config.h, I noticed I had /* #undef TCPWRAP */, 
and -lwrap was not shown in the LIBS line of the various Makefiles.
When I set #define TCPWRAP 1 & added in -lwrap to my Makefiles,
then recompiled, the uams loaded successfully & I could log in from the Macs.

I used the --with-tcp-wrappers flag when I called configure, and
I have tcp_wrappers-7.6-10 installed (according to rpm).  So I'm not
quite sure why things didn't get defined correctly . . . . but I think it's
probably a bug in the configure script.

****************************
The foot, the lies, the yellow-haired lady: Komo the Komodo tells all!